Bug 854541 - Need better practise on (not) editing /usr/share/java/conf/core-site.xml
Need better practise on (not) editing /usr/share/java/conf/core-site.xml
Product: GlusterFS
Classification: Community
Component: gluster-hadoop (Show other bugs)
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Steve Watt
: Triaged
Depends On: 840508 858427
Blocks: 1057253
  Show dependency treegraph
Reported: 2012-09-05 06:01 EDT by Divya
Modified: 2015-05-26 08:34 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840508
Last Closed: 2014-07-25 08:10:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Divya 2012-09-05 06:01:44 EDT
As per my discussion on IRC with AJ, I am cloning this bug for release engineering to move core-site.xml file to /var/lib/glusterd/glusterfs-hadoop/.

+++ This bug was initially created as a clone of Bug #840508 +++

It is extremely rare that configuration files under /usr need to be edited. Page 152 (http://docs.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html-single/Administration_Guide/index.html#id3047004) tells to make changes in /usr/share/java/conf/core-site.xml. I am wondering if there is not a better suitable file under /etc that can be used to overload the configuration. (Ah, page 153 tells to create a sym-link to the configuration directory. Maybe it's better practise to not link, but copy the configuration?)

--- Additional comment from vshankar@redhat.com on 2012-07-30 06:18:01 EDT ---

AJ mentioned that /usr/share/java is where jars get installed. You're right, that need not be the path for the configuration file. If /etc makes more sense for configuration files, I'm okay in moving core-site.xml somewhere there.

Regarding the sym-link thing, that's how we wanted it with upstream GlusterFS. If it's a good practice (RHS?) in copying the file over, then docs need to be updated.

--- Additional comment from divya@redhat.com on 2012-07-31 01:44:34 EDT ---


Based on my discussion with VS and Venky, it was decided to move core-site.xml file to /var/lib/glusterd/. We will request AJ to move it and then update the doc.

Kindly confirm if copying the configuration file is the best practice instead of linking. Based on your confirmation, I will update the doc.


--- Additional comment from ndevos@redhat.com on 2012-08-03 05:55:46 EDT ---

Hi Divya,

yes, copying a file from /usr/... to /var/lib/.. is fine. Contents under /usr should not be edited by administrators, /var/lib is definitely a better place for that.

It is possible that the original file under /usr/... is kept, and the administrator manually copies the file to /var/lib/... Automatically would be good too, but I don't know how practical that is.


--- Additional comment from vshankar@redhat.com on 2012-08-09 14:13:58 EDT ---

lets keep it in /var/lib/glusterd/glusterfs-hadoop/

administrator can manually copy the conf from this directory to whatever his $HADOOP_HOME is.

AJ, the spec file would need to change to drop the conf in the above mentioned directory.

--- Additional comment from divya@redhat.com on 2012-09-05 05:54:45 EDT ---

As suggested, I have changed instructions to copy files to respective location instead of creating symbolic links. 

The updated documentation is available at: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/sect-Administration_Guide-GlusterFS_Client-CIFS.html#id1257909

Cloning this bug for Release Engineering to move the file to /var/lib/glusterd/glusterfs-hadoop/.
Comment 2 Anthony Towns 2012-11-07 04:09:03 EST
> Cloning this bug for Release Engineering to move the file to
> /var/lib/glusterd/glusterfs-hadoop/.

Someone in development should be taking care of this; guessing it's Venky, and reassigning to glusterfs-hadoop component.

Let me know if you need an introduction on how to build glusterfs-hadoop in brew using mead, not sure if I passed on those details to anyone already...

Comment 5 Martin Bukatovic 2014-01-23 04:28:45 EST
Note to make this report clear: the BZ was created against text in
documentation  RHS 2.0 ("Hadoop compatible storage" - tech review) which is no
longer included in current RHS 2.1 documentation.
Comment 6 Martin Kudlej 2014-01-27 08:52:53 EST
I thik this BZ should be closed as NOTABUG. What do you think about that, please?
Comment 7 Martin Kudlej 2014-07-25 08:10:04 EDT
There is no response for long time and this BZ is not relevant anymore. --> CLOSE
Comment 8 Niels de Vos 2015-05-26 08:34:07 EDT
This bug has been CLOSED, and there has not been a response to the requested NEEDINFO in more than 4 weeks. The NEEDINFO flag is now getting cleared so that our Bugzilla household is getting more in order.

Note You need to log in before you can comment on or make changes to this bug.